Page MenuHomePhabricator

ContentTranslation doesn't load on Minerva mobile
Closed, ResolvedPublic

Description

Visit https://en.wikipedia.org/wiki/Special:ContentTranslation?page=Comoment&from=fr&to=en&targettitle=Comoment&version=1&useskin=minerva (tool in desktop minerva) and ContentTranslation loads and is usable.

It seems many ContentTranslation modules are not being loaded on mobile. There seems no reason why this should be the case.
Please ensure

"targets": [ "desktop", "mobile" ],

is defined on all modules.

Mobile site is loaded on tablet devices, so it seems important for this to work.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2018, 12:21 AM
Pginer-WMF triaged this task as Normal priority.Oct 30 2018, 7:55 AM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Oct 30 2018, 10:43 PM

Change 512633 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Make CX functional in Minerva skin

https://gerrit.wikimedia.org/r/512633

Minerva does not have the personal tools rendered on the screen. An invalid assumption about the presence of personal tools was causing a js error while rendering the (custom) header. This was resulting blank page. In this patch, I check for the presence of personal tools and render it. It it is not present, like the case of Minerva, in the place of personal menu, just add a button that shows user name and icon. Clicking on that takes the user to user page.

We can think about making the user menu same as other skins, but as follow up.

Screenshot in VectorMinerva, after the fix

Like @santhosh said, 512633 fixes header for Minerva.
However, fixing header only means we fixed the problem when Minerva is used on desktop, not on mobile. On mobile, lots of required CX modules are not loaded and we get blank page.

Change 512633 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make CX functional in Minerva skin

https://gerrit.wikimedia.org/r/512633

Etonkovidova moved this task from Triaged to MinervaNeue on the Mobile board.EditedMay 30 2019, 2:49 PM
Etonkovidova added a subscriber: Etonkovidova.

Like @santhosh said, 512633 fixes header for Minerva.
However, fixing header only means we fixed the problem when Minerva is used on desktop, not on mobile. On mobile, lots of required CX modules are not loaded and we get blank page.

Checked in betalabs - Minerva desktop is successfully loaded:


The Console error was displayed:

TypeError: Cannot set property 'activator' of null
    at createMainMenu

The Console error was displayed:

TypeError: Cannot set property 'activator' of null
    at createMainMenu

That error is not coming from Content Translation code, but from code in MinervaNeue skin. The error does not prevent page from loading, not sure if there are some implications in other places and if bug should be reported.

Etonkovidova closed this task as Resolved.Jun 10 2019, 12:19 PM

Checked in production (enwiki wmf.8). The console error is reported as T225423.